Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 23201018: DevTools: add "Jump to Relayout Boundary" context menu item in Elements panel (Closed)

Created:
5 years, 2 months ago by caseq
Modified:
5 years ago
Reviewers:
pfeldman, kristalyhair
CC:
blink-reviews, caseq+blink_chromium.org, loislo+blink_chromium.org, eustas+blink_chromium.org, alph+blink_chromium.org, eae+blinkwatch, yurys+blink_chromium.org, lushnikov+blink_chromium.org, leviw+renderwatch, vsevik+blink_chromium.org, pfeldman+blink_chromium.org, dglazkov+blink, paulirish+reviews_chromium.org, apavlov+blink_chromium.org, jchaffraix+rendering, devtools-reviews_chromium.org, aandrey+blink_chromium.org, aerotwist
Visibility:
Public.

Description

DevTools: add "Jump to Relayout Boundary" context menu item in Elements panel - expose RenderObject::isRelayoutBoundaryForInstrumentation() - add DOM.relayoutBoundaryForNode() BUG= R=pfeldman@chromium.org Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=158280

Patch Set 1 #

Total comments: 4

Patch Set 2 : review comments addressed #

Total comments: 1

Patch Set 3 : renamed output parameters, try run #

Unified diffs Side-by-side diffs Delta from patch set Stats (+177 lines, -0 lines) Patch
A LayoutTests/inspector-protocol/dom/dom-relayout-boundary.html View 1 2 1 chunk +137 lines, -0 lines 0 comments Download
A LayoutTests/inspector-protocol/dom/dom-relayout-boundary-expected.txt View 1 1 chunk +5 lines, -0 lines 0 comments Download
M Source/core/inspector/InspectorDOMAgent.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/inspector/InspectorDOMAgent.cpp View 1 1 chunk +16 lines, -0 lines 0 comments Download
M Source/core/rendering/RenderObject.h View 1 1 chunk +2 lines, -0 lines 0 comments Download
M Source/core/rendering/RenderObject.cpp View 1 1 chunk +5 lines, -0 lines 0 comments Download
M Source/devtools/protocol.json View 1 2 1 chunk +11 lines, -0 lines 0 comments Download

Messages

Total messages: 8 (0 generated)
caseq
5 years, 2 months ago (2013-08-22 14:43:18 UTC) #1
caseq
ping
5 years, 2 months ago (2013-09-03 09:34:11 UTC) #2
caseq
ping
5 years, 2 months ago (2013-09-06 13:21:02 UTC) #3
pfeldman
https://codereview.chromium.org/23201018/diff/1/LayoutTests/inspector/elements/relayout-boundary.html File LayoutTests/inspector/elements/relayout-boundary.html (right): https://codereview.chromium.org/23201018/diff/1/LayoutTests/inspector/elements/relayout-boundary.html#newcode1 LayoutTests/inspector/elements/relayout-boundary.html:1: <html> Lets make a protocol test for this and ...
5 years, 2 months ago (2013-09-06 13:35:50 UTC) #4
caseq
Review comments addressed, ptal.
5 years, 1 month ago (2013-09-24 14:41:28 UTC) #5
pfeldman
lgtm https://codereview.chromium.org/23201018/diff/14001/Source/devtools/protocol.json File Source/devtools/protocol.json (right): https://codereview.chromium.org/23201018/diff/14001/Source/devtools/protocol.json#newcode2223 Source/devtools/protocol.json:2223: { "name": "relayoutBoundaryNodeId", "$ref": "NodeId", "description": "Relayout boundary ...
5 years, 1 month ago (2013-09-24 14:49:17 UTC) #6
caseq
Committed patchset #3 manually as r158280 (presubmit successful).
5 years, 1 month ago (2013-09-24 16:11:19 UTC) #7
kristalyhair
5 years ago (2013-10-23 00:31:30 UTC) #8
Message was sent while issue was closed.

          

Powered by Google App Engine
This is Rietveld 408576698